%% SiSU version 4
  <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=summary>
  <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=blob;f=data/doc/sisu/CHANGELOG_v4;hb=HEAD>
* debian/changelog
  <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=blob_plain;f=debian/changelog;hb=refs/heads/debian/sid>

v5 development branch
v4 branch is removed; it is available in sisu < 5.3.0
v3 branch is removed; it is available in sisu < 4.1.0
v2 branch is removed; it is available in sisu =< 3.3.2

* homepage at: <http://www.jus.uio.no/sisu>
* <http://www.jus.uio.no/sisu/SiSU/download>
* <http://www.jus.uio.no/sisu/SiSU/changelog>
* <http://sisudoc.org/sisu/sisu_manual>
* data/doc/sisu/sisu_markup_samples/sisu_manual/sisu_manual.ssm
* data/doc/sisu/sisu_markup_samples/sisu_manual/sisu_download.ssi
* CHANGELOG CHANGELOG_v2 CHANGELOG_v3 README data/doc/sisu/

   initial goals:
   * remove/retire "skins"; replace some functionality with headers and/or yml
     file (consider header like syntax for document and site appearance info)
   * bin/sisu $0 make possible to run sisu command on/within project dir tree
   * bin/sisu $*, hub, make possible to specify dir path for markup files

%% Reverse Chronological:

%% 4.2.21.orig.tar.xz (2014-01-26:03/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.21
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.21-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.21.orig.tar.xz
  sisu_4.2.21.orig.tar.xz
  sisu_4.2.21-1.dsc

[closed]

* bin/sisu changes to simplify switching to new stable and development branches

%% 4.2.20.orig.tar.xz (2014-01-20:03/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.20
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.20-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.20.orig.tar.xz
  sisu_4.2.20.orig.tar.xz
  sisu_4.2.20-1.dsc

[good time to consider rollover: closing v4 branch, replacing it with v5 &
introducing v6 for development, proposed for this release + 1]

* bin/sisu & some related lib changes

* sysenv for texpdf, fix for when tex to pdf generator is absent

%% 4.2.19.orig.tar.xz (2014-01-17:02/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.19
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.19-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.19.orig.tar.xz
  sisu_4.2.19.orig.tar.xz
  sisu_4.2.19-1.dsc

* bin/sisu experimentation
  * start preparing for ruby changes
  * work on fix for bug related to gem path & system installed sisu

%% 4.2.18.orig.tar.xz (2014-01-12:01/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.18
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.18-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.18.orig.tar.xz
  sisu_4.2.18.orig.tar.xz
  sisu_4.2.18-1.dsc

* texinfo, fixes

* texpdf, report on pdf output, provide a working link to a generated file-size
  (multiple document file-sizes may be produced)

%% 4.2.17.orig.tar.xz (2014-01-06:01/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.17
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.17-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.17.orig.tar.xz
  sisu_4.2.17.orig.tar.xz
  sisu_4.2.17-1.dsc

* bin/sisu
  * (ensure SiSU_version_dir) fix
  * sisu version info, yml info also when installed via ruby gem
  * downstream libs

* fixes
  * ao_doc_str, nodes, possible parents, correction
  * epub, url closure decoration
  * sysenv, qrcode report absent program, minor
  * html scroll toc, clean links where none, exclude metadata

%% 4.2.16.orig.tar.xz (2013-12-15:49/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.16
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.16-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.16.orig.tar.xz
  sisu_4.2.16.orig.tar.xz
  sisu_4.2.16-1.dsc

* Rakefile, (installer), reduce actions

%% 4.2.15.orig.tar.xz (2013-12-09:49/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.15
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.15-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.15.orig.tar.xz
  sisu_4.2.15.orig.tar.xz
  sisu_4.2.15-1.dsc

* Rakefile, (installer) improve, re-arrange

[NOTE disk crash (2013-11-28), fairly good but incomplete backup affecting work]

%% 4.2.14.orig.tar.xz (2013-12-03:48/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.14
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.14-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.14.orig.tar.xz
  sisu_4.2.14.orig.tar.xz
  sisu_4.2.14-1.dsc

* rake create build & install sisu gemspec; (.gitignore), work on
  * gemspec adjusted to install only libraries related to a version (v4 or v5)
  * select sisu version to create, build & install

* bin/sisu, simplify in relation to sisu gem

%% 4.2.13.orig.tar.xz (2013-12-02:48/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.13
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.13-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.13.orig.tar.xz
  sisu_4.2.13.orig.tar.xz
  sisu_4.2.13-1.dsc

* rake create build & install sisu gemspec; bin/sisugem (add .gitignore)
  * rake gemcbi #(create build install sisu gem)
  * rake gemspecscreate && \
    rake gembuild && \
    sudo rake geminstall
  * rake gemspecscreate && \
    gem build sisu5.gemspec && \
    sudo gem install --no-rdoc --no-ri \
    sisu-5.1.0.gem
  * bin/sisu updated (modified to take account of gems)
  * bin/sisugem added
  * .gitignore sisu-*.gem sisu*.gemspec
    consider inclusion (& tracking) of rake created sisu4.gemspec sisu5.gemspec
    (as this makes their availability more obvious)
  * once gem is installed: "sisu _5.1.0_ -vM" (to see version, commands
    otherwise as usual) if paths are such that sisu is not available
    "sisugem _5.1.0_ -vM" should work (as it is installed by gemspec, but not
    other sisu installers)

* hub, sisu4 -M (maintenance mode) provide info as to path to hub.rb (i.e. where
  library is being drawn)

%% 4.2.12.orig.tar.xz (2013-11-08:44/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.12
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.12-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.12.orig.tar.xz
  sisu_4.2.12.orig.tar.xz
  sisu_4.2.12-1.dsc

* rake (& rant) sisu installer
  * do less by default
  * removed rant generated sisu-install

* vim, ftplugin sisu.vim, fix missing <leader>

* sisu_manual, minor info addition

* bin/sisu-*
  * use option flag full names
  * add sisu-html-scroll, sisu-html-seg, sisu-pdf-portrait, sisu-pdf-landscape

%% 4.2.11.orig.tar.xz (2013-11-05:44/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.11
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.11-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.11.orig.tar.xz
  sisu_4.2.11.orig.tar.xz
  sisu_4.2.11-1.dsc

[5.0.24 changes only]

%% 4.2.10.orig.tar.xz (2013-11-02:43/6)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.10
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.10-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.10.orig.tar.xz
  sisu_4.2.10.orig.tar.xz
  sisu_4.2.10-1.dsc

* constants, ocn output delimiter (where used) changed to 「...」
  (from square brackets [...])

%% 4.2.9.orig.tar.xz (2013-10-27:42/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.9
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.9-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.9.orig.tar.xz
  sisu_4.2.9.orig.tar.xz
  sisu_4.2.9-1.dsc

* dal, document_structure_check_info

%% 4.2.8.orig.tar.xz (2013-10-23:42/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.8
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.8-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.8.orig.tar.xz
  sisu_4.2.8.orig.tar.xz
  sisu_4.2.8-1.dsc

* dal, parent & node info, fix
  (used e.g. for mind map type output (last for kdissert output, no longer
  supported))

* dal, collapsed levels implemented
  convenience, collapse sisu's dual level document structure for output of
  markup with straight linear structure

%% 4.2.7.orig.tar.xz (2013-10-17:41/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.7
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.7-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.7.orig.tar.xz
  sisu_4.2.7.orig.tar.xz
  sisu_4.2.7-1.dsc

* constants, change a couple of internal processing delimiter characters, that
  might be used in ordinary marked up text (to characters even less likely to be
  of use in ordinary (marked up) text)

%% 4.2.6.orig.tar.xz (2013-10-16:41/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.6
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.6-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.6.orig.tar.xz
  sisu_4.2.6.orig.tar.xz
  sisu_4.2.6-1.dsc

* constants, change a couple of internal processing delimiter characters, that
  might be used in ordinary marked up text

* vim, minor updates, not syntax related

* markup sample, update book index markup, appearance, minor

%% 4.2.5.orig.tar.xz (2013-09-22:37/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.5
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.5-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.5.orig.tar.xz
  sisu_4.2.5.orig.tar.xz
  sisu_4.2.5-1.dsc

* bin/sisu update language list ja ko zh, fix

%% 4.2.4.orig.tar.xz (2013-09-21:37/6)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.4
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.4-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.4.orig.tar.xz
  sisu_4.2.4.orig.tar.xz
  sisu_4.2.4-1.dsc

* i18n CJK: zh ja ko, add languages Chinese, Japanese, Korean
  * texpdf, has large texlive xetex dependencies (Korean untested)
  * [concordance, untouched does nothing cjk, decide whether to disable]

* sisu_manual, (in markup-samples) move to en/ sub-dir (permitting translations)
  * use of language sub-dir for source sisu markup suited to permitting
    translation management by po4a
  * sisurc.yml minor
  * Rakefile to help place sisu markup in a source language directory under po4a
    management

* Rakefile to assist in placing sisu markup under po4a management (sisu_manual)
  * Provided as an example with sisu_manual
  * fairly generic, but potentially dangerous, can be used to place sisu markup
    source translations under po4a management, but user needs to know what this
    is, (and how to set it up, hence sisu_manual as an example (despite the lack
    of translations)) as can clobber/destroy files that are not managed by po4a.

* dal, objects, store book index as hash (simplify downstream processing), and
  associated downstream processing change from v5
  * db, book index, convert hash back to string

* minor cleaning

%% 4.2.3.orig.tar.xz (2013-09-07:35/6)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.3
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.3.orig.tar.xz
  sisu_4.2.3.orig.tar.xz
  sisu_4.2.3-1.dsc

[5.0.16 changes only]

%% 4.2.2.orig.tar.xz (2013-09-05:35/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.2
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.2.orig.tar.xz
  sisu_4.2.2.orig.tar.xz
  sisu_4.2.2-1.dsc

* dal, grouped text with fontface spanning newlines, partial solution, merge
  from 5.0.14

* dal, book index markup, allow spaces on both sides of delimiters, or a space
  before and newline following a delimiter \s+[:|;](\s+|\n)
  [else parses as before no spaces]

* vim syntax, book index markup, hilight delimeters

%% 4.2.1.orig.tar.xz (2013-08-28:34/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.1
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.1.orig.tar.xz
  sisu_4.2.1.orig.tar.xz
  sisu_4.2.1-1.dsc

* config files (by filetype & filename) touched

* manifest, output organised by, info, minor touch

* vim syntax, sisu.vim, fix typo
  * ocn (object numbering) on, off, text block using "--~#" "---#" "--+#"

* pdf (latex) tables, bugfix

* odf:odt, footnotes, fix

* dal, text blocks, tuning

%% 4.2.0.orig.tar.xz (2013-08-25:33/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.2.0
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.2.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.2.0.orig.tar.xz
  sisu_4.2.0.orig.tar.xz
  sisu_4.2.0-1.dsc

* merge v5
  * syntax add
    * switch ocn off and on for a block of content, line containing only
      off: "--~#" (omit headings where possible) "---#" on: "--+#"
    * alternative open and close for blocks using line starting with "```", e.g.
      open code block:  "``` code"; close code block: "```"
      start poem:       "``` poem"; end poem:         "```"
    * remove need for an empty line between opening & closing of a text block
  [note use of "~~" considered but more problematic, (tics not used elsewhere)]

* vim syntax, improve grouped text match, open, close of blocks using tics "```"
  * ocn (object numbering) on, off, text block using "--~#" "---#" "--+#"
  * grouped text, open, close of blocks using tics "```"

* css, html, epub, adjust paragraph spacing, (increase, whitespace aesthetic,
  review further)

%% 4.1.12.orig.tar.xz (2013-08-21:33/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.1.12
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.1.12-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.1.12.orig.tar.xz
  sisu_4.1.12.orig.tar.xz
  sisu_4.1.12-1.dsc

* messages to terminal
  * code marker
  * rescued error messages
  * fuchsia (sp.)

%% 4.1.11.orig.tar.xz (2013-08-08:31/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.1.11
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.1.11-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.1.11.orig.tar.xz
  sisu_4.1.11.orig.tar.xz
  sisu_4.1.11-1.dsc

* dal_expand_insertions, refinement for monolingual output

%% 4.1.10.orig.tar.xz (2013-08-08:31/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.1.10
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.1.10-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.1.10.orig.tar.xz
  sisu_4.1.10.orig.tar.xz
  sisu_4.1.10-1.dsc

[merge 5.0.10 lib]
* output structure by, add monolingual alternative for :filetype or :filename
  * filename without language code, if document is in default language
  * set a default language, 'en' or as specified
  * set in rc file or from command line instruction
    * command line e.g.
      sisu -hv --monolingual --by-filename sisu_markup.sst
      sisu -3v --monolingual --by-filetype sisu_manual.ssm
    * sisurc.yml lingual: 'mono' | 'multi'
      lingual: 'mono'
  * note: output by :filetype is roughly equivalent to what monolingual output
    by :language would be
  * allow command line setting of default language using language code
    --default-language='en' --default-lang-en if used together with
    --monolingual and --by-filetype or --by-filename the selected default
    language document will not have a language code in the output filename
  * documentation

* cgi helper script, sample search form
  * single cgi form, (with different internal variables set for output types)
  * monolingual output search form option

%% 4.1.9.orig.tar.xz (2013-08-01:30/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.1.9
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.1.9-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.1.9.orig.tar.xz
  sisu_4.1.9.orig.tar.xz
  sisu_4.1.9-1.dsc

%% 4.1.8.orig.tar.xz (2013-07-30:30/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.1.8
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.1.8-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.1.8.orig.tar.xz
  sisu_4.1.8.orig.tar.xz
  sisu_4.1.8-1.dsc

%% 4.1.7.orig.tar.xz (2013-06-25:25/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.1.7
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.1.7-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.1.7.orig.tar.xz
  sisu_4.1.7.orig.tar.xz
  sisu_4.1.7-1.dsc

* "general code cleaning" fix

%% 4.1.6.orig.tar.xz (2013-06-25:25/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.1.6
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.1.6-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.1.6.orig.tar.xz
  sisu_4.1.6.orig.tar.xz
  sisu_4.1.6-1.dsc

* general code cleaning, sync with v5

%% 4.1.5.orig.tar.xz (2013-06-22:23/6)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.1.5
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.1.5-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.1.5.orig.tar.xz
  sisu_4.1.5.orig.tar.xz
  sisu_4.1.5-1.dsc

* vim
  * colorscheme def, mark current line
  * ftplugin sisu.vim, c-\ hard wrap lines to line width (moved from c-j)

%% 4.1.4.orig.tar.xz (2013-06-06:22/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.1.4
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.1.4-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.1.4.orig.tar.xz
  sisu_4.1.4.orig.tar.xz
  sisu_4.1.4-1.dsc

* db, population of database (--update), import of master files (.ssm), fix
  (Note: for .ssm: @md.fns (is set during runtime & is) != @opt.fns @md.opt.fns,
  affects construction of unique identifier)

* cgi helper script, sample search form generator
  * file name matching, check
  * cosmetic, drop use of images in sample form

* sysenv, requested load warning removed, less screen clutter, consider

%% 4.1.3.orig.tar.xz (2013-05-30:21/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.1.3
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.1.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.1.3.orig.tar.xz
  sisu_4.1.3.orig.tar.xz
  sisu_4.1.3-1.dsc

* sysenv, pgsql db connect fix

* cgi_pgsql, cgi helper script, sample search form generator, detail

%% 4.1.2.orig.tar.xz (2013-05-29:21/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.1.2
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.1.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.1.2.orig.tar.xz
  sisu_4.1.2.orig.tar.xz
  sisu_4.1.2-1.dsc

* help update, concentrate on man pages
  * documentation, manpage update
  * interactive help, out of date, removed

* document version check, disable
  * automatic check disabled
  * check and correction of pre 0.38 markup removed

* sysenv, version info moved here from help

* cgi helper script sample search form generator, adjust/improve, adds settings:
    db type                         --db-pq or db-sqlite
    webserver for cgi script & db   --webserv-search=''
    webserver for sisu ouptut files --webserv-output=''
    cgi search form link name       --cgi-search-form-name=''
    db user (pg)                    --db-user=''

%% 4.1.1.orig.tar.xz (2013-05-19:19/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.1.1
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.1.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.1.1.orig.tar.xz
  sisu_4.1.1.orig.tar.xz
  sisu_4.1.1-1.dsc

* vim, ftplugin, sisu.vim, statusline

* cgi script for sample search form generator, sqlite, minor fixes (affects
  'sisu -F')

%% 4.1.0.orig.tar.xz (2013-05-08:18/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.1.0
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.1.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.1.0.orig.tar.xz
  sisu_4.1.0.orig.tar.xz
  sisu_4.1.0-1.dsc

* v4:
  * v5 opened
  * v3 closed

* defaults, sysenv, simplify default home page (by default is not used)

* cgi script for sample search form, minor fixes

%% 4.0.21.orig.tar.xz (2013-05-06:18/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.21
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.21-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.21.orig.tar.xz
  sisu_4.0.21.orig.tar.xz
  sisu_4.0.21-1.dsc

* minor sysenv, cgi_sql_common

%% 4.0.20.orig.tar.xz (2013-04-11:14/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.20
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.20-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.20.orig.tar.xz
  sisu_4.0.20.orig.tar.xz
  sisu_4.0.20-1.dsc

* sisurc.yml, reorganize configuration files

* cgi sample search form, minor

%% 4.0.19.orig.tar.xz (2013-04-08:14/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.19
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.19-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.19.orig.tar.xz
  sisu_4.0.19.orig.tar.xz
  sisu_4.0.19-1.dsc

* sysenv, yamlrc, minor

* options, exclude manifest links if no manifest (--no-manifest) selected

* zap, delete output files, based on given (existing) source file name

%% 4.0.18.orig.tar.xz (2013-03-29:12/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.18
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.18-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.18.orig.tar.xz
  sisu_4.0.18.orig.tar.xz
  sisu_4.0.18-1.dsc

* dal, screen_text_color, distinguish doc abstraction as start of processing

* dal, reading/processing composite markup files (.ssm)
  * dbi, import composite files correctly
  * manifest, mini-table of contents, for multi-lingual composite files

* cgi, auto-generated sample search form
  * for various sisu output directory structures
  * fixes

%% 4.0.17.orig.tar.xz (2013-03-25:12/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.17
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.17-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.17.orig.tar.xz
  sisu_4.0.17.orig.tar.xz
  sisu_4.0.17-1.dsc

* manifest & harvest, links to default site home page index.html

* sysenv, copy or create homepages, one of the actions taken on --config
  * provide info as to where manually created homepages may be stored
  * do not make default sisu homepage (previously did)

* param, guard against situation where no document creator/author given

* hub, non-verbose terminal info reduced, minor

%% 4.0.16.orig.tar.xz (2013-03-18:11/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.16
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.16-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.16.orig.tar.xz
  sisu_4.0.16.orig.tar.xz
  sisu_4.0.16-1.dsc

* hub, processing flow, sequence, fix
  * re-run manifests at end of general processing run:
    * where document source shared and more than one markup file processed;
    * where translations of same document exist (determined by filename)

* sysenv, epub images where processing multilingual doc in lang code sub-dir

%% 4.0.15.orig.tar.xz (2013-03-18:11/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.15
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.15-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.15.orig.tar.xz
  sisu_4.0.15.orig.tar.xz
  sisu_4.0.15-1.dsc

* share document source, markup text file &/or sisupod
  * processing flow, correct sequence
  * terminal reporting

%% 4.0.14.orig.tar.xz (2013-03-16:10/6)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.14
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.14-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.14.orig.tar.xz
  sisu_4.0.14.orig.tar.xz
  sisu_4.0.14-1.dsc

* harvest, authors, topics, terminal info

* harvest, links for output_by? filename

* manifest, links for output_by? alternatives, harvest & qrcode related

* sysenv, rsync remote placement, output_by? alternatives, tuning, including
  * site_harvest
  * pdf fix
  * backround rsync only for processing of single sisu markup files

%% 4.0.13.orig.tar.xz (2013-03-13:10/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.13
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.13-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.13.orig.tar.xz
  sisu_4.0.13.orig.tar.xz
  sisu_4.0.13-1.dsc

* html_format, manifest red arrow, next (segment), (broken) link fix, to toc

* terminal reporting, cosmetic

* manifest, link to harvest authors & topics if available, else cosmeitc

* hub, sysenv, remote, work on rsync of document/site build

* hub, sql db, fix for actions not requiring files, create, drop, etc.

%% 4.0.12.orig.tar.xz (2013-03-08:09/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.12
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.12-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.12.orig.tar.xz
  sisu_4.0.12.orig.tar.xz
  sisu_4.0.12-1.dsc

* share_src, sisu source, permissions, make world readable when shared

* manifest, sysenv, manifests sisupod relative link for output_by language

* bin/sisu, process remote sisu markup file or sisupod, where url provided

* hub, operations, report if no markup file provided, where required by
    requested action

%% 4.0.11.orig.tar.xz (2013-03-06:09/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.11
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.11-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.11.orig.tar.xz
  sisu_4.0.11.orig.tar.xz
  sisu_4.0.11-1.dsc

* bin/sisu, expand given path for sisu executable
  (where system sisu not called directly)

* sysenv, base images path determined from given path for sisu executable
  (where system sisu not called directly)

* options, sisupod, name determination, fix
  * needed for creation of multiple sisupods

* html_format, html segment navigation to toc, fix

%% 4.0.10.orig.tar.xz (2013-03-05:09/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.10
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.10-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.10.orig.tar.xz
  sisu_4.0.10.orig.tar.xz
  sisu_4.0.10-1.dsc

* texpdf, report to STDERR when pdf not (successfully) generated, note:
  .tex file is almost certainly produced by sisu, this will be a sisu packaging,
  texlive dependency issue, preventing its conversion to pdf (Closes: #617359)

* sysenv, set default output (directory layout) type where none configured
  (also turned off reporting where imagemagick & graphicsmagick not installed)

* html, epub, minor "cleaning" of output

%% 4.0.9.orig.tar.xz (2013-02-22:07/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.9
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.9-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.9.orig.tar.xz
  sisu_4.0.9.orig.tar.xz
  sisu_4.0.9-1.dsc

* dal, line across page divider -..- introduced, an alternative to page
    break -\\- & =\\=, affects pdf and odf most significantly
  * output formats modified to include, (pdf, odf, epub, html, plaintext)
  * vim syntax, sisu.vim
  * emacs, sisu-mode.el
  * documentation, sisu_markup.sst, man page sisu.1, sisu.1.html

%% 4.0.8.orig.tar.xz (2013-02-20:07/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.8
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.8-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.8.orig.tar.xz
  sisu_4.0.8.orig.tar.xz
  sisu_4.0.8-1.dsc

* epub
  * tinkering with some headers
  * add markup of angle brackets '<' & '>' to early markup of ampersand '&'

* html, modification to markup of angle brackets '<' & '>' and ampersand '&'

* vim, ftplugin & colorschemes housekeeping, scheme "def*" added
  * general housekeeping
  * :colorscheme def256* defined from 256 colors (primarily 16 of them) terminal
    & gui (identical) (terminal scheme based on frugal & extended to cover gui)
  * :colorscheme def* cterm defined primarily using 16 colors (a few from 256)
    (to be usable tweak .Xdefaults) gui provided along with Xdefault settings to
    make cterm match this gui or def256*

* emacs, sisu-mode.el
  * sisu headers update
  * cosmetic code reshuffle

* b_epub.png, epub icon (for manifest) updated to use official image

%% 4.0.7.orig.tar.xz (2013-02-10:05/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.7
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.7-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.7.orig.tar.xz
  sisu_4.0.7.orig.tar.xz
  sisu_4.0.7-1.dsc

* vim, minimal color schemes, minor edits

* dbi_discrete, discreet should have been discrete, renames accordingly

* lib, bin/sisu, misc, code headers provide url to online git file source
  * e.g. bin/sisu * Git
   <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=summary>
   <http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=blob;f=bin/sisu;hb=HEAD>

%% 4.0.6.orig.tar.xz (2013-02-07:05/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.6
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.6-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.6.orig.tar.xz
  sisu_4.0.6.orig.tar.xz
  sisu_4.0.6-1.dsc

* html, screen reporting for --html-scroll, correctly identify output file

* pdf
  * pdf (options, hub, urls), orientation, portrait & landscape optionally
    discrete, individually callable
    * --pdf-l (--pdf-landscape), --pdf-p (--pdf-portrait)
    * sisu latex output & xetex generation
  * pdf (options, param), papersize, command-line options to override sisurc
    settings, [a4,a5,b5,letter,legal] when --pdf* used:
    * --papersize-a4 --papersize-letter (also --a4 --letter)
    * --papersize=a4,letter
    * --pdf-a4 --pdf-letter (for portrait only --pdf-p-a4 --pdf-p-letter)
      [orientation & papersize options are set independently so calling
      --pdf-p-a4 & --pdf-l-letter would result in landscapes and portraits of
      both a4 & letter (rather than an individual request for a portrait A4 & a
      landscape letter size)]
  * texpdf, cosmetic code

* utils (debug renamed)
  * SiSU_Utils::CodeMarker (from Debug::Mark)
  * SiSU_Utils::Path.new.base_markup provides base markup directory that
    contains sisu markup files, any language sub-directories (with sisu markup
    files) and sisu resource configuration sub-directory, if any (./_sisu)
    (identifies when needed in runtime)

* sysenv, webserv dir (output dir), ensure it is determined from base markup
    dir where relative path provided (remove possibility of it being done from a
    language sub-directory), fix

* documentation
  * sisu_manual/sisu_commands
  * manpage & html

%% 4.0.5.orig.tar.xz (2013-02-03:04/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.5
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.5-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.5.orig.tar.xz
  sisu_4.0.5.orig.tar.xz
  sisu_4.0.5-1.dsc

* html (options, hub, urls), scroll & seg optionally discrete, individually
    callable
  * --html (both), --html-scroll, --html-seg
  * [possibly of interest where only one form of html of interest for use &/or
     to cut generation time (roughly to 63% for --html-scroll only)]

* sysenv, on --redirect, stop creation of redundant dir

* html, includes book index fix, rest cosmetic

* css (html & epub) line spacing reduced, paragraph spacing increased
  * may need to tune spacing further to distinguish lines from new paragraphs
    (especially where ocn is not used as the distinction may be less
    clear/obvious)

* documentation, include --html-scroll and --html-seg options
  * sisu_manual/sisu_commands
  * manpage & html

%% 4.0.4.orig.tar.xz (2013-01-31:04/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.4
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.4-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.4.orig.tar.xz
  sisu_4.0.4.orig.tar.xz
  sisu_4.0.4-1.dsc

* param_make, :cover_image: regex, less finicky match of image & details
  * [bug reported by Mikael Böök]

* dal, on ocn excluded paragraphs (~# -#), hang/indent bullet, fix
  * [bug reported indirectly by Cory Doctorow (discovered in work with markup)]

* epub, constants, debug alternative for various readers ... work on

* dal (obj), html, br_page* behavior in html depending on origin of break
  (markup specified v auto)

%% 4.0.3.orig.tar.xz (2013-01-27:03/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.3
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.3.orig.tar.xz
  sisu_4.0.3.orig.tar.xz
  sisu_4.0.3-1.dsc

* epub some fixing, more documents render in more readers/viewers
  * ncx fix, navpoint_close [bug reported by Mikael Böök, with sample fix toc]
  * check xml representation of characters (& < > in particular)

* remove markup-sample of the first edition of FaiF as redundant, the
  markup for the second edition being available (& partly in response to
  Bug#698664 which leads me to think about it), removed:
  free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst
  and associated images

%% 4.0.2.orig.tar.xz (2013-01-23:03/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.2
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.2.orig.tar.xz
  sisu_4.0.2.orig.tar.xz
  sisu_4.0.2-1.dsc

* epub
  * remove unnecessary conversion of some utf-8 characters to xhtml
    representation; fix as messed up table of contents, toc.ncx
    (e.g. in calibre)
    * [bug reported by Mikael Böök]
  * provide full depth epub table of contents [request Mikael Böök]
  * cosmetic arrangement of code <<-WOK
  * xhtml structure error, fix missing </div>
    * [bug reported by Mikael Böök] (fix of additional detail)

* html
  * remove unnecessary conversion of some utf-8 characters to html
    representation

* texpdf_format
  * list of .sty files (and their texlive source within Debian)
    [not part of code]

* param, match possible sisu version, detail

* sysenv, debug tag, triggered where output type not set

%% 4.0.1.orig.tar.xz (2013-01-01:00/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.1
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.1.orig.tar.xz
  sisu_4.0.1.orig.tar.xz
  sisu_4.0.1-1.dsc

* html_segments (by_filename by_filetype) internal document links do not
  work filenames need to include lang code, fixed
  * [chals on irc, re live-manual, debian-live]

* bin/sisu & sysenv, rc_path_options, provide fixed path to rc files, (used
  e.g. to load sisurc.yml)

* options, sysenv, check (existing) inclusions & exclusions command line,
  document header, sisurc, fixes

* plaintext, in code blocks retain a blank empty line, a fix
  * [known old bug, affects sisu_manual, fix request from SynrG on irc, re
     live-manual]

* manpage, attempt to improve output (line-spacing)

* param, minor change any legacy <br> line break in metadata markup to \\

* debug (internal code use), color markers for line number & file name
  (colored location markers to show when line passed within running code)

* control color on/off to screen
  close #622171 sisu: --color flag, which toggles color on/off
  there are various ways to control color output to screen
  * --color-off or -k switches color off
  * --color or --color-on switches color on, which is usually the default
  * --color-toggle or -c toggles the default setting (in most cases)
  * sisurc.yml can set default color state which affects most screen output
  the fix here is specific to color on/off for reporting of sisu version
  sisu -v -k
  sisu --version --color-off

* documentation minor updates and regenerated manpage

%% 4.0.0.orig.tar.xz (2012-12-12:50/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_4.0.0
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/sisu_4.0.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_4.0.0.orig.tar.xz
  sisu_4.0.0.orig.tar.xz
  sisu_4.0.0-1.dsc

* bin/sisu $0 make possible to run sisu command on/within project dir tree
  (previously sisu needed to be correctly installed with system paths honored)
  NOTE: loading of skins turned off

* bin/sisu $*, hub, make possible to specify dir path for markup files
  (previously sisu needed to be invoked and run on files within the selected
  markup file directory)
  run sisu on markup in given path (or relative path), e.g.:
    sisu ~/path1/filename.ssm ~/path2/*.ss[tm]

* defaults, some cleaning

* skins (remove)
  * remove skins
  * defaults, rename class Defaults (was InfoSkin)
  * sisupod, remove skin, fix path

* db
  * no skin info to store, omitted from structure
  * change prefix name (structure changed)

* markup samples, for v4 remove skins, separate (v3 & v4) directories

* param (header make)
  * epub, pdf, book cover images
  * html, home button
    * text button
    * image/icon button
  * pdf, footer

* param_make, options, read common make instruction header for documents,
  _sisu/v4/sisu_document_make
  * @make:
  * @links:

* sisupod, use common make instruction header for documents
  * sisupod make instruction header file, write & read

* document headers, metadata rearranged, wide-ranging effect

* vim syntax, sisu.vim, make new headers

* documentation; markup samples & help
